Changeset 4037

Show
Ignore:
Timestamp:
04/03/06 21:10:17 (2 years ago)
Author:
morris
Message:

Remove unneeded

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trackerd/trunk/configure

    r4036 r4037  
    853853  --enable-maintainer-mode 
    854854                          enable maintainer mode 
    855   --disable-largefile     omit support for large files 
    856855 
    857856Optional Packages: 
     
    53855384 
    53865385done 
    5387  
    5388  
    5389  
    5390 ####################################################################### 
    5391 # Checks for header files 
    5392  
    5393  
    5394 for ac_header in  \ 
    5395         sys/vfs.h \ 
    5396  
    5397 do 
    5398 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
    5399 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    5400   echo "$as_me:$LINENO: checking for $ac_header" >&5 
    5401 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
    5402 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    5403   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5404 fi 
    5405 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
    5406 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
    5407 else 
    5408   # Is the header compilable? 
    5409 echo "$as_me:$LINENO: checking $ac_header usability" >&5 
    5410 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6 
    5411 cat >conftest.$ac_ext <<_ACEOF 
    5412 /* confdefs.h.  */ 
    5413 _ACEOF 
    5414 cat confdefs.h >>conftest.$ac_ext 
    5415 cat >>conftest.$ac_ext <<_ACEOF 
    5416 /* end confdefs.h.  */ 
    5417 $ac_includes_default 
    5418 #include <$ac_header> 
    5419 _ACEOF 
    5420 rm -f conftest.$ac_objext 
    5421 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5422   (eval $ac_compile) 2>conftest.er1 
    5423   ac_status=$? 
    5424   grep -v '^ *+' conftest.er1 >conftest.err 
    5425   rm -f conftest.er1 
    5426   cat conftest.err >&5 
    5427   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5428   (exit $ac_status); } && 
    5429          { ac_try='test -z "$ac_c_werror_flag" 
    5430                          || test ! -s conftest.err' 
    5431   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5432   (eval $ac_try) 2>&5 
    5433   ac_status=$? 
    5434   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5435   (exit $ac_status); }; } && 
    5436          { ac_try='test -s conftest.$ac_objext' 
    5437   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5438   (eval $ac_try) 2>&5 
    5439   ac_status=$? 
    5440   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5441   (exit $ac_status); }; }; then 
    5442   ac_header_compiler=yes 
    5443 else 
    5444   echo "$as_me: failed program was:" >&5 
    5445 sed 's/^/| /' conftest.$ac_ext >&5 
    5446  
    5447 ac_header_compiler=no 
    5448 fi 
    5449 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    5450 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
    5451 echo "${ECHO_T}$ac_header_compiler" >&6 
    5452  
    5453 # Is the header present? 
    5454 echo "$as_me:$LINENO: checking $ac_header presence" >&5 
    5455 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6 
    5456 cat >conftest.$ac_ext <<_ACEOF 
    5457 /* confdefs.h.  */ 
    5458 _ACEOF 
    5459 cat confdefs.h >>conftest.$ac_ext 
    5460 cat >>conftest.$ac_ext <<_ACEOF 
    5461 /* end confdefs.h.  */ 
    5462 #include <$ac_header> 
    5463 _ACEOF 
    5464 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    5465   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    5466   ac_status=$? 
    5467   grep -v '^ *+' conftest.er1 >conftest.err 
    5468   rm -f conftest.er1 
    5469   cat conftest.err >&5 
    5470   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5471   (exit $ac_status); } >/dev/null; then 
    5472   if test -s conftest.err; then 
    5473     ac_cpp_err=$ac_c_preproc_warn_flag 
    5474     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    5475   else 
    5476     ac_cpp_err= 
    5477   fi 
    5478 else 
    5479   ac_cpp_err=yes 
    5480 fi 
    5481 if test -z "$ac_cpp_err"; then 
    5482   ac_header_preproc=yes 
    5483 else 
    5484   echo "$as_me: failed program was:" >&5 
    5485 sed 's/^/| /' conftest.$ac_ext >&5 
    5486  
    5487   ac_header_preproc=no 
    5488 fi 
    5489 rm -f conftest.err conftest.$ac_ext 
    5490 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
    5491 echo "${ECHO_T}$ac_header_preproc" >&6 
    5492  
    5493 # So?  What about this header? 
    5494 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
    5495   yes:no: ) 
    5496     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 
    5497 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 
    5498     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 
    5499 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 
    5500     ac_header_preproc=yes 
    5501     ;; 
    5502   no:yes:* ) 
    5503     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 
    5504 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 
    5505     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5 
    5506 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;} 
    5507     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 
    5508 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 
    5509     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5 
    5510 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;} 
    5511     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 
    5512 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 
    5513     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 
    5514 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 
    5515     ( 
    5516       cat <<\_ASBOX 
    5517 ## ------------------------------------- ## 
    5518 ## Report this to axel@zankasoftware.com ## 
    5519 ## ------------------------------------- ## 
    5520 _ASBOX 
    5521     ) | 
    5522       sed "s/^/$as_me: WARNING:     /" >&2 
    5523     ;; 
    5524 esac 
    5525 echo "$as_me:$LINENO: checking for $ac_header" >&5 
    5526 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 
    5527 if eval "test \"\${$as_ac_Header+set}\" = set"; then 
    5528   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5529 else 
    5530   eval "$as_ac_Header=\$ac_header_preproc" 
    5531 fi 
    5532 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
    5533 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
    5534  
    5535 fi 
    5536 if test `eval echo '${'$as_ac_Header'}'` = yes; then 
    5537   cat >>confdefs.h <<_ACEOF 
    5538 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 
    5539 _ACEOF 
    5540  
    5541 fi 
    5542  
    5543 done 
    5544  
    5545  
    5546  
    5547 ####################################################################### 
    5548 # Checks for typedefs, structures, and compiler characteristics 
    5549  
    5550 # Check whether --enable-largefile or --disable-largefile was given. 
    5551 if test "${enable_largefile+set}" = set; then 
    5552   enableval="$enable_largefile" 
    5553  
    5554 fi; 
    5555 if test "$enable_largefile" != no; then 
    5556  
    5557   echo "$as_me:$LINENO: checking for special C compiler options needed for large files" >&5 
    5558 echo $ECHO_N "checking for special C compiler options needed for large files... $ECHO_C" >&6 
    5559 if test "${ac_cv_sys_largefile_CC+set}" = set; then 
    5560   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5561 else 
    5562   ac_cv_sys_largefile_CC=no 
    5563      if test "$GCC" != yes; then 
    5564        ac_save_CC=$CC 
    5565        while :; do 
    5566          # IRIX 6.2 and later do not support large files by default, 
    5567          # so use the C compiler's -n32 option if that helps. 
    5568          cat >conftest.$ac_ext <<_ACEOF 
    5569 /* confdefs.h.  */ 
    5570 _ACEOF 
    5571 cat confdefs.h >>conftest.$ac_ext 
    5572 cat >>conftest.$ac_ext <<_ACEOF 
    5573 /* end confdefs.h.  */ 
    5574 #include <sys/types.h> 
    5575  /* Check that off_t can represent 2**63 - 1 correctly. 
    5576     We can't simply define LARGE_OFF_T to be 9223372036854775807, 
    5577     since some C++ compilers masquerading as C compilers 
    5578     incorrectly reject 9223372036854775807.  */ 
    5579 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62)) 
    5580   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 
    5581                        && LARGE_OFF_T % 2147483647 == 1) 
    5582                       ? 1 : -1]; 
    5583 int 
    5584 main () 
    5585 { 
    5586  
    5587   ; 
    5588   return 0; 
    5589 } 
    5590 _ACEOF 
    5591          rm -f conftest.$ac_objext 
    5592 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5593   (eval $ac_compile) 2>conftest.er1 
    5594   ac_status=$? 
    5595   grep -v '^ *+' conftest.er1 >conftest.err 
    5596   rm -f conftest.er1 
    5597   cat conftest.err >&5 
    5598   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5599   (exit $ac_status); } && 
    5600          { ac_try='test -z "$ac_c_werror_flag" 
    5601                          || test ! -s conftest.err' 
    5602   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5603   (eval $ac_try) 2>&5 
    5604   ac_status=$? 
    5605   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5606   (exit $ac_status); }; } && 
    5607          { ac_try='test -s conftest.$ac_objext' 
    5608   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5609   (eval $ac_try) 2>&5 
    5610   ac_status=$? 
    5611   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5612   (exit $ac_status); }; }; then 
    5613   break 
    5614 else 
    5615   echo "$as_me: failed program was:" >&5 
    5616 sed 's/^/| /' conftest.$ac_ext >&5 
    5617  
    5618 fi 
    5619 rm -f conftest.err conftest.$ac_objext 
    5620          CC="$CC -n32" 
    5621          rm -f conftest.$ac_objext 
    5622 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5623   (eval $ac_compile) 2>conftest.er1 
    5624   ac_status=$? 
    5625   grep -v '^ *+' conftest.er1 >conftest.err 
    5626   rm -f conftest.er1 
    5627   cat conftest.err >&5 
    5628   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5629   (exit $ac_status); } && 
    5630          { ac_try='test -z "$ac_c_werror_flag" 
    5631                          || test ! -s conftest.err' 
    5632   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5633   (eval $ac_try) 2>&5 
    5634   ac_status=$? 
    5635   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5636   (exit $ac_status); }; } && 
    5637          { ac_try='test -s conftest.$ac_objext' 
    5638   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5639   (eval $ac_try) 2>&5 
    5640   ac_status=$? 
    5641   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5642   (exit $ac_status); }; }; then 
    5643   ac_cv_sys_largefile_CC=' -n32'; break 
    5644 else 
    5645   echo "$as_me: failed program was:" >&5 
    5646 sed 's/^/| /' conftest.$ac_ext >&5 
    5647  
    5648 fi 
    5649 rm -f conftest.err conftest.$ac_objext 
    5650          break 
    5651        done 
    5652        CC=$ac_save_CC 
    5653        rm -f conftest.$ac_ext 
    5654     fi 
    5655 fi 
    5656 echo "$as_me:$LINENO: result: $ac_cv_sys_largefile_CC" >&5 
    5657 echo "${ECHO_T}$ac_cv_sys_largefile_CC" >&6 
    5658   if test "$ac_cv_sys_largefile_CC" != no; then 
    5659     CC=$CC$ac_cv_sys_largefile_CC 
    5660   fi 
    5661  
    5662   echo "$as_me:$LINENO: checking for _FILE_OFFSET_BITS value needed for large files" >&5 
    5663 echo $ECHO_N "checking for _FILE_OFFSET_BITS value needed for large files... $ECHO_C" >&6 
    5664 if test "${ac_cv_sys_file_offset_bits+set}" = set; then 
    5665   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5666 else 
    5667   while :; do 
    5668   ac_cv_sys_file_offset_bits=no 
    5669   cat >conftest.$ac_ext <<_ACEOF 
    5670 /* confdefs.h.  */ 
    5671 _ACEOF 
    5672 cat confdefs.h >>conftest.$ac_ext 
    5673 cat >>conftest.$ac_ext <<_ACEOF 
    5674 /* end confdefs.h.  */ 
    5675 #include <sys/types.h> 
    5676  /* Check that off_t can represent 2**63 - 1 correctly. 
    5677     We can't simply define LARGE_OFF_T to be 9223372036854775807, 
    5678     since some C++ compilers masquerading as C compilers 
    5679     incorrectly reject 9223372036854775807.  */ 
    5680 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62)) 
    5681   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 
    5682                        && LARGE_OFF_T % 2147483647 == 1) 
    5683                       ? 1 : -1]; 
    5684 int 
    5685 main () 
    5686 { 
    5687  
    5688   ; 
    5689   return 0; 
    5690 } 
    5691 _ACEOF 
    5692 rm -f conftest.$ac_objext 
    5693 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5694   (eval $ac_compile) 2>conftest.er1 
    5695   ac_status=$? 
    5696   grep -v '^ *+' conftest.er1 >conftest.err 
    5697   rm -f conftest.er1 
    5698   cat conftest.err >&5 
    5699   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5700   (exit $ac_status); } && 
    5701          { ac_try='test -z "$ac_c_werror_flag" 
    5702                          || test ! -s conftest.err' 
    5703   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5704   (eval $ac_try) 2>&5 
    5705   ac_status=$? 
    5706   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5707   (exit $ac_status); }; } && 
    5708          { ac_try='test -s conftest.$ac_objext' 
    5709   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5710   (eval $ac_try) 2>&5 
    5711   ac_status=$? 
    5712   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5713   (exit $ac_status); }; }; then 
    5714   break 
    5715 else 
    5716   echo "$as_me: failed program was:" >&5 
    5717 sed 's/^/| /' conftest.$ac_ext >&5 
    5718  
    5719 fi 
    5720 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    5721   cat >conftest.$ac_ext <<_ACEOF 
    5722 /* confdefs.h.  */ 
    5723 _ACEOF 
    5724 cat confdefs.h >>conftest.$ac_ext 
    5725 cat >>conftest.$ac_ext <<_ACEOF 
    5726 /* end confdefs.h.  */ 
    5727 #define _FILE_OFFSET_BITS 64 
    5728 #include <sys/types.h> 
    5729  /* Check that off_t can represent 2**63 - 1 correctly. 
    5730     We can't simply define LARGE_OFF_T to be 9223372036854775807, 
    5731     since some C++ compilers masquerading as C compilers 
    5732     incorrectly reject 9223372036854775807.  */ 
    5733 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62)) 
    5734   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 
    5735                        && LARGE_OFF_T % 2147483647 == 1) 
    5736                       ? 1 : -1]; 
    5737 int 
    5738 main () 
    5739 { 
    5740  
    5741   ; 
    5742   return 0; 
    5743 } 
    5744 _ACEOF 
    5745 rm -f conftest.$ac_objext 
    5746 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5747   (eval $ac_compile) 2>conftest.er1 
    5748   ac_status=$? 
    5749   grep -v '^ *+' conftest.er1 >conftest.err 
    5750   rm -f conftest.er1 
    5751   cat conftest.err >&5 
    5752   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5753   (exit $ac_status); } && 
    5754          { ac_try='test -z "$ac_c_werror_flag" 
    5755                          || test ! -s conftest.err' 
    5756   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5757   (eval $ac_try) 2>&5 
    5758   ac_status=$? 
    5759   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5760   (exit $ac_status); }; } && 
    5761          { ac_try='test -s conftest.$ac_objext' 
    5762   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5763   (eval $ac_try) 2>&5 
    5764   ac_status=$? 
    5765   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5766   (exit $ac_status); }; }; then 
    5767   ac_cv_sys_file_offset_bits=64; break 
    5768 else 
    5769   echo "$as_me: failed program was:" >&5 
    5770 sed 's/^/| /' conftest.$ac_ext >&5 
    5771  
    5772 fi 
    5773 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    5774   break 
    5775 done 
    5776 fi 
    5777 echo "$as_me:$LINENO: result: $ac_cv_sys_file_offset_bits" >&5 
    5778 echo "${ECHO_T}$ac_cv_sys_file_offset_bits" >&6 
    5779 if test "$ac_cv_sys_file_offset_bits" != no; then 
    5780  
    5781 cat >>confdefs.h <<_ACEOF 
    5782 #define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits 
    5783 _ACEOF 
    5784  
    5785 fi 
    5786 rm -f conftest* 
    5787   echo "$as_me:$LINENO: checking for _LARGE_FILES value needed for large files" >&5 
    5788 echo $ECHO_N "checking for _LARGE_FILES value needed for large files... $ECHO_C" >&6 
    5789 if test "${ac_cv_sys_large_files+set}" = set; then 
    5790   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5791 else 
    5792   while :; do 
    5793   ac_cv_sys_large_files=no 
    5794   cat >conftest.$ac_ext <<_ACEOF 
    5795 /* confdefs.h.  */ 
    5796 _ACEOF 
    5797 cat confdefs.h >>conftest.$ac_ext 
    5798 cat >>conftest.$ac_ext <<_ACEOF 
    5799 /* end confdefs.h.  */ 
    5800 #include <sys/types.h> 
    5801  /* Check that off_t can represent 2**63 - 1 correctly. 
    5802     We can't simply define LARGE_OFF_T to be 9223372036854775807, 
    5803     since some C++ compilers masquerading as C compilers 
    5804     incorrectly reject 9223372036854775807.  */ 
    5805 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62)) 
    5806   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 
    5807                        && LARGE_OFF_T % 2147483647 == 1) 
    5808                       ? 1 : -1]; 
    5809 int 
    5810 main () 
    5811 { 
    5812  
    5813   ; 
    5814   return 0; 
    5815 } 
    5816 _ACEOF 
    5817 rm -f conftest.$ac_objext 
    5818 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5819   (eval $ac_compile) 2>conftest.er1 
    5820   ac_status=$? 
    5821   grep -v '^ *+' conftest.er1 >conftest.err 
    5822   rm -f conftest.er1 
    5823   cat conftest.err >&5 
    5824   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5825   (exit $ac_status); } && 
    5826          { ac_try='test -z "$ac_c_werror_flag" 
    5827                          || test ! -s conftest.err' 
    5828   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5829   (eval $ac_try) 2>&5 
    5830   ac_status=$? 
    5831   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5832   (exit $ac_status); }; } && 
    5833          { ac_try='test -s conftest.$ac_objext' 
    5834   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5835   (eval $ac_try) 2>&5 
    5836   ac_status=$? 
    5837   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5838   (exit $ac_status); }; }; then 
    5839   break 
    5840 else 
    5841   echo "$as_me: failed program was:" >&5 
    5842 sed 's/^/| /' conftest.$ac_ext >&5 
    5843  
    5844 fi 
    5845 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    5846   cat >conftest.$ac_ext <<_ACEOF 
    5847 /* confdefs.h.  */ 
    5848 _ACEOF 
    5849 cat confdefs.h >>conftest.$ac_ext 
    5850 cat >>conftest.$ac_ext <<_ACEOF 
    5851 /* end confdefs.h.  */ 
    5852 #define _LARGE_FILES 1 
    5853 #include <sys/types.h> 
    5854  /* Check that off_t can represent 2**63 - 1 correctly. 
    5855     We can't simply define LARGE_OFF_T to be 9223372036854775807, 
    5856     since some C++ compilers masquerading as C compilers 
    5857     incorrectly reject 9223372036854775807.  */ 
    5858 #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62)) 
    5859   int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 
    5860                        && LARGE_OFF_T % 2147483647 == 1) 
    5861                       ? 1 : -1]; 
    5862 int 
    5863 main () 
    5864 { 
    5865  
    5866   ; 
    5867   return 0; 
    5868 } 
    5869 _ACEOF 
    5870 rm -f conftest.$ac_objext 
    5871 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
    5872   (eval $ac_compile) 2>conftest.er1 
    5873   ac_status=$? 
    5874   grep -v '^ *+' conftest.er1 >conftest.err 
    5875   rm -f conftest.er1 
    5876   cat conftest.err >&5 
    5877   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5878   (exit $ac_status); } && 
    5879          { ac_try='test -z "$ac_c_werror_flag" 
    5880                          || test ! -s conftest.err' 
    5881   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5882   (eval $ac_try) 2>&5 
    5883   ac_status=$? 
    5884   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5885   (exit $ac_status); }; } && 
    5886          { ac_try='test -s conftest.$ac_objext' 
    5887   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    5888   (eval $ac_try) 2>&5 
    5889   ac_status=$? 
    5890   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    5891   (exit $ac_status); }; }; then 
    5892   ac_cv_sys_large_files=1; break 
    5893 else 
    5894   echo "$as_me: failed program was:" >&5 
    5895 sed 's/^/| /' conftest.$ac_ext >&5 
    5896  
    5897 fi 
    5898 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
    5899   break 
    5900 done 
    5901 fi 
    5902 echo "$as_me:$LINENO: result: $ac_cv_sys_large_files" >&5 
    5903 echo "${ECHO_T}$ac_cv_sys_large_files" >&6 
    5904 if test "$ac_cv_sys_large_files" != no; then 
    5905  
    5906 cat >>confdefs.h <<_ACEOF 
    5907 #define _LARGE_FILES $ac_cv_sys_large_files 
    5908 _ACEOF 
    5909  
    5910 fi 
    5911 rm -f conftest* 
    5912 fi 
    59135386 
    59145387 
  • trackerd/trunk/configure.in

    r4036 r4037  
    353353 
    354354####################################################################### 
    355 # Checks for header files 
    356  
    357 AC_CHECK_HEADERS([ \ 
    358         sys/vfs.h \ 
    359 ]) 
    360  
    361  
    362 ####################################################################### 
    363 # Checks for typedefs, structures, and compiler characteristics 
    364  
    365 AC_SYS_LARGEFILE 
    366  
    367  
    368 ####################################################################### 
    369355# Output 
    370356